<?php

function newspapers_kirki_config() {
	$strings = array(
		'background-color'      => esc_attr__( 'Background Color', 'newspapers' ),
		'background-image'      => esc_attr__( 'Background Image', 'newspapers' ),
		'no-repeat'             => esc_attr__( 'No Repeat', 'newspapers' ),
		'repeat-all'            => esc_attr__( 'Repeat All', 'newspapers' ),
		'repeat-x'              => esc_attr__( 'Repeat Horizontally', 'newspapers' ),
		'repeat-y'              => esc_attr__( 'Repeat Vertically', 'newspapers' ),
		'inherit'               => esc_attr__( 'Inherit', 'newspapers' ),
		'background-repeat'     => esc_attr__( 'Background Repeat', 'newspapers' ),
		'cover'                 => esc_attr__( 'Cover', 'newspapers' ),
		'contain'               => esc_attr__( 'Contain', 'newspapers' ),
		'background-size'       => esc_attr__( 'Background Size', 'newspapers' ),
		'fixed'                 => esc_attr__( 'Fixed', 'newspapers' ),
		'scroll'                => esc_attr__( 'Scroll', 'newspapers' ),
		'background-attachment' => esc_attr__( 'Background Attachment', 'newspapers' ),
		'left-top'              => esc_attr__( 'Left Top', 'newspapers' ),
		'left-center'           => esc_attr__( 'Left Center', 'newspapers' ),
		'left-bottom'           => esc_attr__( 'Left Bottom', 'newspapers' ),
		'right-top'             => esc_attr__( 'Right Top', 'newspapers' ),
		'right-center'          => esc_attr__( 'Right Center', 'newspapers' ),
		'right-bottom'          => esc_attr__( 'Right Bottom', 'newspapers' ),
		'center-top'            => esc_attr__( 'Center Top', 'newspapers' ),
		'center-center'         => esc_attr__( 'Center Center', 'newspapers' ),
		'center-bottom'         => esc_attr__( 'Center Bottom', 'newspapers' ),
		'background-position'   => esc_attr__( 'Background Position', 'newspapers' ),
		'background-opacity'    => esc_attr__( 'Background Opacity', 'newspapers' ),
		'on'                    => esc_attr__( 'ON', 'newspapers' ),
		'off'                   => esc_attr__( 'OFF', 'newspapers' ),
		'all'                   => esc_attr__( 'All', 'newspapers' ),
		'cyrillic'              => esc_attr__( 'Cyrillic', 'newspapers' ),
		'cyrillic-ext'          => esc_attr__( 'Cyrillic Extended', 'newspapers' ),
		'devanagari'            => esc_attr__( 'Devanagari', 'newspapers' ),
		'greek'                 => esc_attr__( 'Greek', 'newspapers' ),
		'greek-ext'             => esc_attr__( 'Greek Extended', 'newspapers' ),
		'khmer'                 => esc_attr__( 'Khmer', 'newspapers' ),
		'latin'                 => esc_attr__( 'Latin', 'newspapers' ),
		'latin-ext'             => esc_attr__( 'Latin Extended', 'newspapers' ),
		'vietnamese'            => esc_attr__( 'Vietnamese', 'newspapers' ),
		'hebrew'                => esc_attr__( 'Hebrew', 'newspapers' ),
		'arabic'                => esc_attr__( 'Arabic', 'newspapers' ),
		'bengali'               => esc_attr__( 'Bengali', 'newspapers' ),
		'gujarati'              => esc_attr__( 'Gujarati', 'newspapers' ),
		'tamil'                 => esc_attr__( 'Tamil', 'newspapers' ),
		'telugu'                => esc_attr__( 'Telugu', 'newspapers' ),
		'thai'                  => esc_attr__( 'Thai', 'newspapers' ),
		'serif'                 => _x( 'Serif', 'font style', 'newspapers' ),
		'sans-serif'            => _x( 'Sans Serif', 'font style', 'newspapers' ),
		'monospace'             => _x( 'Monospace', 'font style', 'newspapers' ),
		'font-family'           => esc_attr__( 'Font Family', 'newspapers' ),
		'font-size'             => esc_attr__( 'Font Size', 'newspapers' ),
		'font-weight'           => esc_attr__( 'Font Weight', 'newspapers' ),
		'line-height'           => esc_attr__( 'Line Height', 'newspapers' ),
		'font-style'            => esc_attr__( 'Font Style', 'newspapers' ),
		'letter-spacing'        => esc_attr__( 'Letter Spacing', 'newspapers' ),
		'top'                   => esc_attr__( 'Top', 'newspapers' ),
		'bottom'                => esc_attr__( 'Bottom', 'newspapers' ),
		'left'                  => esc_attr__( 'Left', 'newspapers' ),
		'right'                 => esc_attr__( 'Right', 'newspapers' ),
		'center'                => esc_attr__( 'Center', 'newspapers' ),
		'justify'               => esc_attr__( 'Justify', 'newspapers' ),
		'color'                 => esc_attr__( 'Color', 'newspapers' ),
		'add-image'             => esc_attr__( 'Add Image', 'newspapers' ),
		'change-image'          => esc_attr__( 'Change Image', 'newspapers' ),
		'no-image-selected'     => esc_attr__( 'No Image Selected', 'newspapers' ),
		'add-file'              => esc_attr__( 'Add File', 'newspapers' ),
		'change-file'           => esc_attr__( 'Change File', 'newspapers' ),
		'no-file-selected'      => esc_attr__( 'No File Selected', 'newspapers' ),
		'remove'                => esc_attr__( 'Remove', 'newspapers' ),
		'select-font-family'    => esc_attr__( 'Select a font-family', 'newspapers' ),
		'variant'               => esc_attr__( 'Variant', 'newspapers' ),
		'subsets'               => esc_attr__( 'Subset', 'newspapers' ),
		'size'                  => esc_attr__( 'Size', 'newspapers' ),
		'height'                => esc_attr__( 'Height', 'newspapers' ),
		'spacing'               => esc_attr__( 'Spacing', 'newspapers' ),
		'ultra-light'           => esc_attr__( 'Ultra-Light 100', 'newspapers' ),
		'ultra-light-italic'    => esc_attr__( 'Ultra-Light 100 Italic', 'newspapers' ),
		'light'                 => esc_attr__( 'Light 200', 'newspapers' ),
		'light-italic'          => esc_attr__( 'Light 200 Italic', 'newspapers' ),
		'book'                  => esc_attr__( 'Book 300', 'newspapers' ),
		'book-italic'           => esc_attr__( 'Book 300 Italic', 'newspapers' ),
		'regular'               => esc_attr__( 'Normal 400', 'newspapers' ),
		'italic'                => esc_attr__( 'Normal 400 Italic', 'newspapers' ),
		'medium'                => esc_attr__( 'Medium 500', 'newspapers' ),
		'medium-italic'         => esc_attr__( 'Medium 500 Italic', 'newspapers' ),
		'semi-bold'             => esc_attr__( 'Semi-Bold 600', 'newspapers' ),
		'semi-bold-italic'      => esc_attr__( 'Semi-Bold 600 Italic', 'newspapers' ),
		'bold'                  => esc_attr__( 'Bold 700', 'newspapers' ),
		'bold-italic'           => esc_attr__( 'Bold 700 Italic', 'newspapers' ),
		'extra-bold'            => esc_attr__( 'Extra-Bold 800', 'newspapers' ),
		'extra-bold-italic'     => esc_attr__( 'Extra-Bold 800 Italic', 'newspapers' ),
		'ultra-bold'            => esc_attr__( 'Ultra-Bold 900', 'newspapers' ),
		'ultra-bold-italic'     => esc_attr__( 'Ultra-Bold 900 Italic', 'newspapers' ),
		'invalid-value'         => esc_attr__( 'Invalid Value', 'newspapers' ),
		'add-new'           	=> esc_attr__( 'Add new', 'newspapers' ),
		'row'           		=> esc_attr__( 'row', 'newspapers' ),
		'limit-rows'            => esc_attr__( 'Limit: %s rows', 'newspapers' ),
		'open-section'          => esc_attr__( 'Press return or enter to open this section', 'newspapers' ),
		'back'                  => esc_attr__( 'Back', 'newspapers' ),
		'reset-with-icon'       => sprintf( esc_attr__( '%s Reset', 'newspapers' ), '<span class="dashicons dashicons-image-rotate"></span>' ),
		'text-align'            => esc_attr__( 'Text Align', 'newspapers' ),
		'text-transform'        => esc_attr__( 'Text Transform', 'newspapers' ),
		'none'                  => esc_attr__( 'None', 'newspapers' ),
		'capitalize'            => esc_attr__( 'Capitalize', 'newspapers' ),
		'uppercase'             => esc_attr__( 'Uppercase', 'newspapers' ),
		'lowercase'             => esc_attr__( 'Lowercase', 'newspapers' ),
		'initial'               => esc_attr__( 'Initial', 'newspapers' ),
		'select-page'           => esc_attr__( 'Select a Page', 'newspapers' ),
		'open-editor'           => esc_attr__( 'Open Editor', 'newspapers' ),
		'close-editor'          => esc_attr__( 'Close Editor', 'newspapers' ),
		'switch-editor'         => esc_attr__( 'Switch Editor', 'newspapers' ),
		'hex-value'             => esc_attr__( 'Hex Value', 'newspapers' )

    );

	$args = array(
        'url_path'       => get_template_directory_uri() . '/inc/kirki/',
        'textdomain'     => 'newspapers',
        'i18n'           => $strings,
        'disable_loader' => true,
    );
	return $args;
}
add_filter( 'kirki/config', 'newspapers_kirki_config' );
